package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsUserRechargeScrm;

/**
 * 用户充值Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsUserRechargeScrmService 
{
    /**
     * 查询用户充值
     * 
     * @param id 用户充值ID
     * @return 用户充值
     */
    public FsUserRechargeScrm selectFsUserRechargeById(Long id);

    /**
     * 查询用户充值列表
     * 
     * @param fsUserRecharge 用户充值
     * @return 用户充值集合
     */
    public List<FsUserRechargeScrm> selectFsUserRechargeList(FsUserRechargeScrm fsUserRecharge);

    /**
     * 新增用户充值
     * 
     * @param fsUserRecharge 用户充值
     * @return 结果
     */
    public int insertFsUserRecharge(FsUserRechargeScrm fsUserRecharge);

    /**
     * 修改用户充值
     * 
     * @param fsUserRecharge 用户充值
     * @return 结果
     */
    public int updateFsUserRecharge(FsUserRechargeScrm fsUserRecharge);

    /**
     * 批量删除用户充值
     * 
     * @param ids 需要删除的用户充值ID
     * @return 结果
     */
    public int deleteFsUserRechargeByIds(Long[] ids);

    /**
     * 删除用户充值信息
     * 
     * @param id 用户充值ID
     * @return 结果
     */
    public int deleteFsUserRechargeById(Long id);
}
